Bug 1308444 - (CVE-2016-2384) CVE-2016-2384 kernel: double-free in usb-audio triggered by invalid USB descriptor
CVE-2016-2384 kernel: double-free in usb-audio triggered by invalid USB descr...
Status: ASSIGNED
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160214,reported=2...
: Reopened, Security
Depends On: 1308445 1310663 1310666 1310667 1310668
Blocks: 1308446
  Show dependency treegraph
 
Reported: 2016-02-15 04:15 EST by Andrej Nemec
Modified: 2017-03-21 08:36 EDT (History)
38 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the USB-MIDI Linux kernel driver: a double-free error could be triggered for the 'umidi' object. An attacker with physical access to the system could use this flaw to escalate their privileges.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 14:59:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-15 04:15:28 EST
Description:

A vulnerability was found in the Linux kernel. There is a possibility of double-free on 'umidi' object. The 'umidi' object will be free'd on the error path by snd_usbmidi_free() when tearing down the rawmidi interface causing the system panic.

Upstream report and fix:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=07d86ca93db7e5cdf4743564d98292042ec21af7

External reference:

https://lkml.org/lkml/2016/2/13/11
http://seclists.org/oss-sec/2016/q1/331

CVE assignment:

http://seclists.org/oss-sec/2016/q1/334
Comment 1 Andrej Nemec 2016-02-15 04:16:21 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1308445]
Comment 3 Vladis Dronov 2016-02-16 14:58:34 EST
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. Future updates for the respective releases may address the issue.
Comment 4 Martin Prpič 2016-02-22 05:42:03 EST
Detailed write-up:

https://xairy.github.io/blog/2016/cve-2016-2384
Comment 10 Fedora Update System 2016-02-28 03:19:50 EST
kernel-4.3.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-02-28 07:21:53 EST
kernel-4.4.2-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-04 20:18:54 EST
kernel-4.4.3-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 errata-xmlrpc 2016-11-03 11:33:57 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html
Comment 16 errata-xmlrpc 2016-11-03 15:42:04 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html
Comment 17 errata-xmlrpc 2016-11-03 17:32:28 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html
Comment 18 errata-xmlrpc 2016-11-03 17:47:37 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html
Comment 19 errata-xmlrpc 2017-03-21 08:36:35 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0817 https://rhn.redhat.com/errata/RHSA-2017-0817.html

Note You need to log in before you can comment on or make changes to this bug.